2009-12-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.48 released.

2009-12-28  Stephen J. Turnbull  <stephen@xemacs.org>

	* vc.el (vc-update-changelog-rcs2log): Forgot FKtPp's change!
	See <4B377297.904801@yahoo.com.cn> on xemacs-patches.

2009-12-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.47 released.

2009-12-26  Stephen J. Turnbull  <stephen@xemacs.org>

	Thanks to "It's me FKtPp ;\)" on XEmacs Patches
	<87iqbv6ufi.fsf@yahoo.com.cn>.  Substantially changed from
	original patch, responsibility for errors is committer's.

	* vc.el (vc-update-changelog-rcs2log):
	Adjust let bindings for XEmacs.  Use functions instead of
	variables, fix type mismatches in calls to format.

2009-03-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.46 released.

2009-03-02  Ville Skyttä  <scop@xemacs.org>

	* vc-hooks.el (vc-menu):
	* vc-hooks.el (vc-menu-filter):
	Simplify menu construction/filtering, drop obsolete code.

2007-10-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.45 released.

2007-10-28  Ville Skyttä  <scop@xemacs.org>

	* mercurial.el: Sync with upstream.

	* vc-hooks.el (vc-user-login-name): Use tramp directly, we don't
	have `process-file' in XEmacs.  Warning: it is known that this
	approach only works with tramp 2.0 (not 2.1).

2007-09-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.44 released.

2007-09-28  Ville Skyttä  <scop@xemacs.org>

	* vc-hooks.el: Bring back VC submenu for XEmacs.

2007-09-26  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.43 released.

2007-09-26  Ville Skyttä  <scop@xemacs.org>

	* vc-sccs.el (vc-sccs-lock-file): Use simple concatenation
	rather than `replace-match'; our r-m API differs from GNU.

2007-08-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.42 released.

2007-08-27  Ville Skyttä  <scop@xemacs.org>

	* vc-xemacs.el (vc-xemacs-file-name-coding-system): New.
	* vc-cvs.el (vc-cvs-repository-hostname): Use it.
	* vc-cvs.el (vc-cvs-get-entries): Ditto.
	* vc-svn.el (vc-svn-repository-hostname): Ditto.
	* vc-xemacs.el (default-file-name-coding-system): Remove.

	* vc.el (vc-coding-system-for-diff): Check that
	`coding-system-for-read' and `buffer-file-coding-system' are
	bound before using them.
	* vc-cvs.el (vc-cvs-diff-tree): Ditto.
	* vc-mcvs.el (vc-mcvs-diff-tree): Ditto.
	
2007-08-21  Ville Skyttä  <scop@xemacs.org>

	* vc-rcs.el (vc-rcs-annotate-command): Use `substring' if
	`substring-no-properties' is not available, thanks to Adrian Aichner.

2007-08-18  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.94.

	* mercurial.el: Sync with upstream.

2007-07-16  Ville Skyttä  <scop@xemacs.org>

	* mercurial.el: Sync with upstream.
	* vc-git.el: Ditto.

2007-07-08  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.93.

	* Makefile (REQUIRES): Add gnus for `parse-time' in vc-cvs.el.

	* vc.el (vc-dired-purge): Use `dired-do-kill-file-lines'
	instead of `dired-do-kill-lines'.
	(vc-directory): Don't try to load dired-aux.

2007-07-07  Ville Skyttä  <scop@xemacs.org>

	* smerge-mode.el: Removed, requires too much porting work to be
	feasible at the moment.
	* Makefile (ELCS): Remove smerge-mode.elc.
	* package-info.in (provides): Remove smerge-mode.

	* vc.el: Bring back old `vc-resolve-conflicts'.
	* vc-arch.el (vc-arch-find-file-hook): Make smerge-mode optional.

	* Makefile (REQUIRES): Add elib and edebug (pulled in by ediff).

	* vc-arch.el (vc-arch-add-tagline): Call `comment-normalize-vars'
	only if it's available.

	* vc-svn.el (vc-svn-repository-hostname): Adapt upstream fix
	for finding out the URL from files created by Subversion >= 1.4.

2007-06-24  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.92.

	* vc.el, mercurial.el: Sync with upstream.

	* mercurial.el, vc-hooks.el, vc-xemacs.el: Pull in mercurial.el
	on demand only, like other vc-* modes.

2007-06-16  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el: Sync with upstream.
	* vc-svn.el: Ditto.
	* vc.el: Ditto.

2007-06-06  Ville Skyttä  <scop@xemacs.org>

	* vc-hooks.el: Sync with upstream.
	* log-edit.el: Ditto.

2007-05-21  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.91.
	
	* mercurial.el: New, from Mercurial itself.
	* Makefile (ELCS): Add mercurial.el.
	* package-info.in (provides): Add mercurial.
	* vc-hooks.el: Add `hg-find-file-hook' to `find-file-hook'.

2007-05-14  Ville Skyttä  <scop@xemacs.org>

	* *.el: Sync with upstream.

2007-02-25  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

2007-02-11  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

2007-02-03  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.90.

	* vc-hooks.el (vc-registered): Call vc-BACKEND-registered-lite
	if vc-BACKEND-registered is not bound to work around XEmacs 21.4
	byte compiler or bytecode interpreter issues when the real
	-registered defun is redefined and called by the fully autoloaded
	version.

	* vc-arch.el (vc-arch-registered-lite):
	* vc-cvs.el (vc-cvs-registered-lite):
	* vc-mcvs.el (vc-mcvs-registered-lite):
	* vc-svn.el (vc-svn-registered-lite):
	Rename fully autoloaded vc-BACKEND-registered to
	vc-BACKEND-registered-lite.

	* vc-git.el (vc-git-registered-lite): New, fully autoloaded version.

	* log-edit.el: Sync with upstream.

2007-01-28  Ville Skyttä  <scop@xemacs.org>

	* *.el: Sync with upstream.

2007-01-18  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el: Sync with upstream.
	* vc-arch.el: Ditto.
	* vc-git.el: Ditto.
	* vc-hooks.el: Ditto.
	* vc-svn.el: Ditto.

2006-11-11  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

2006-10-25  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.
	* vc-svn.el: Ditto.

2006-10-15  Ville Skyttä  <scop@xemacs.org>

	* vc-git.el: Sync with upstream.
	* vc-hooks.el: Ditto.

2006-08-29  Ville Skyttä  <scop@xemacs.org>

	* smerge-mode.el (smerge-mine): Comment out unsupported
	min-colors properties, thanks to Stephen J. Turnbull for the catch.
	(smerge-base): Ditto.

2006-08-16  Ville Skyttä  <scop@xemacs.org>

	* smerge-mode.el: New from GNU Emacs CVS.  Needs work.

2006-08-15  Ville Skyttä  <scop@xemacs.org>

	* vc-git.el (vc-git-registered): Avoid failures if `git' is not
	installed, thanks to Adrian Aichner for the catch.

2006-08-05  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

	* vc-git.el: Changes applied upstream.

2006-07-06  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2006-07-04  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.05.

	* vc-git.el: New, from git upstream.
	(vc-git-print-log): Add optional BUFFER arg, use it.
	(vc-git-diff): Ditto.
	* vc-hooks.el (vc-handled-backends): Add GIT.
	(vc-mode-line): Ditto.
	* package-info.in (provides): Add vc-git.
	* Makefile (ELCS): Add vc-git.elc.

	* vc.el (vc-coding-system-for-diff): We don't have
	`find-operation-coding-system'.

	* vc.el (vc-revert-buffer): Don't try to delete the revert
	confirmation diff window for now as it breaks for some
	reason, and prevents the actual revert from happening.

	* vc.el (vc-restore-buffer-context): Test for mark before using.

	* vc-xemacs.el: Comment update.

2006-06-28  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2006-06-12  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.04.

	* vc.el: Sync with upstream.

2006-05-01  Ville Skyttä  <scop@xemacs.org>

	* vc.el (vc-default-show-log-entry): Workaround for (at least so
	far) missing log-view stuff.

2006-04-29  Ville Skyttä  <scop@xemacs.org>

	* vc.el (vc-annotate-warp-version): Use `forward-line' instead
	of `previous-line'.

2006-04-22  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.03.

	* vc.el (vc-annotate): `goto-line' in XEmacs takes only 1 arg,
	emulate GNU Emacs' 2-arg one.
	(vc-annotate-warp-version): Ditto.

	* vc-cvs.el (vc-cvs-parse-root): Fix :local: root parsing.

2006-04-21  Ville Skyttä  <scop@xemacs.org>

	* Makefile (VERSION): 0.02.

	* vc-hooks.el: Bind C-x C-q to `vc-toggle-read-only' like in the
	old vc package, thanks to Vegard Vesterheim.

2006-04-16  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

	* vc-xemacs.el (line-number-at-pos): Sync compat implementation
	with XEmacs 21.5.

2006-02-11  Ville Skyttä  <scop@xemacs.org>

	* *.el: Sync with upstream.
	* Makefile (REQUIRES): Add tramp.

2005-12-31  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2005-12-26  Ville Skyttä  <scop@xemacs.org>

	* vc.el, vc-mcvs.el, vc-svn.el: Sync with upstream.

2005-12-05  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el: Sync with upstream.

	* log-edit.el: Use pcl-cvs-util (already in the packages tree).
	* Makefile (REQUIRES): Add pcl-cvs.
	* Makefile (ELCS): Remove pcvs-util.elc.
	* package-info-in (provides): Remove pcvs-util.
	* pcvs-util.el: Remove.
	* vc-xemacs.el (compare-strings): Remove, only used by pcvs-util.

2005-11-28  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el: Sync with upstream.

2005-11-15  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

	* vc-xemacs.el (compare-strings): New, borrowed from ECB.

2005-11-10  Oscar Figueiredo  <oscar@xemacs.org>

	* vc-xemacs.el (subst-char-in-string): Do not use `replace-in-string'
	because of the regexp semantic on its second parameter.

2005-11-10  Ville Skyttä  <scop@xemacs.org>

	* vc-xemacs.el: Update FSF's address.

2005-11-02  Ville Skyttä  <scop@xemacs.org>

	* vc.el, vc-cvs.el, vc-sccs.el: Sync with upstream.

2005-10-08  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el, vc.el, vc-mcvs.el: Sync with upstream.

2005-09-11  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2005-08-16  Ville Skyttä  <scop@xemacs.org>

	* *.el: Sync with upstream.

2005-07-24  Ville Skyttä  <scop@xemacs.org>

	* *.el: Sync with upstream.

2005-06-21  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el, vc-arch.el, vc-cvs.el, vc.el: Sync with upstream.

2005-04-30  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2005-04-09  Ville Skyttä  <scop@xemacs.org>

	* pcvs-util.el, vc.el, vc-cvs.el, vc-hooks.el: Sync with upstream.

2005-03-06  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2005-02-11  Ville Skyttä  <scop@xemacs.org>

	* vc*.el: Sync with upstream.

2005-01-19  Ville Skyttä  <scop@xemacs.org>

	* vc*.el: Sync with upstream.

2005-01-06  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el, vc-rcs.el, vc-svn.el: Sync with upstream.

2004-12-19  Ville Skyttä  <scop@xemacs.org>

	* vc-cvs.el: Port the `vc-cvs-program' defcustom from the old
	XEmacs vc package, and use it.  Originally by Christian Schmitt.

2004-12-18  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2004-12-15  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.  Adds svn annotate support,
	and includes my repository-hostname fix.

2004-12-13  Ville Skyttä  <scop@xemacs.org>

	* log-edit.el: New, from upstream CVS; temporarily (?) here so
	that editing commit messages could actually work.
	* pcvs-util.el: Ditto.

2004-12-12  Ville Skyttä  <scop@xemacs.org>

	* vc-cvs.el (vc-cvs-parse-root): XEmacs wants 2+ args to `setq'.

	* vc-svn.el (vc-svn-repository-hostname): Make it work also with
	Subversion >= 0.33.0, simplify regexp.

2004-12-06  Ville Skyttä  <scop@xemacs.org>

	* vc.el, vc-cvs.el, vc-hooks.el, vc-rcs.el: Sync with upstream.

2004-11-10  Ville Skyttä  <scop@xemacs.org>

	* vc.el, vc-cvs.el, vc-mcvs.el: Sync with upstream.

2004-11-01  Ville Skyttä  <scop@xemacs.org>

	* vc.el, vc-arch.el, vc-hooks.el: Sync with upstream.

2004-10-13  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Sync with upstream.

2004-09-15  Ville Skyttä  <scop@xemacs.org>

	* vc*.el: Sync with upstream.

2004-08-25  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

2004-08-15  Ville Skyttä  <scop@xemacs.org>

	* *: Move most of the XEmacs compatibility stuff into vc-xemacs.el,
	add some TODOs and fix a few incompatibilities.

2004-07-30  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el: Use replace-in-string instead of subst-char-in-string
	and replace-regexp-in-string.

2004-07-03  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el, vc-rcs.el: Sync with upstream.

2004-06-05  Ville Skyttä  <scop@xemacs.org>

	* vc-svn.el: Sync with upstream.

2004-06-01  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el: Sync with upstream.

2004-05-29  Ville Skyttä  <scop@xemacs.org>

	* vc-arch.el, vc-mcvs.el: Sync with upstream.

2004-05-24  Ville Skyttä  <scop@xemacs.org>

	* Initial revision of vc port from GNU Emacs.

2005-06-05  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.41 released.

2005-06-03  Jens Giessmann  <jg@handcode.de>

	* vc.el: (vc-create-initial-rcs-dir): If non-nil 
	and there is no ./RCS subdirectory yet, create it.

2004-12-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.40 released.

2004-12-18  Ilya N. Golubev  <gin@mo.msk.ru>

	* vc.el (vc-annotate-display): Pass symbol to `find-face' as face
	name, not string.  Fix 2004-11-15 change.

2004-11-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.39 released.

2004-11-15    <bpalmer@gmail.com>
      * vc.el (vc-annotate-display): To see whether a face has already
      been defined, use find-face instead of intern-soft
2003-10-27  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.38 released.

2003-10-17  Ilya N. Golubev  <gin@mo.msk.ru>

	* vc-hooks.el (vc-mode-ext): Create vc-mode-ext as an
	initially detached extent, so that it can be dumped.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.

2003-03-02  Norbert Koch  <nk@viteno.net>

	* Makefile (VERSION): XEmacs package 1.37 released.

	* Makefile (VERSION): XEmacs package 1.36 released.

2003-02-18  Ilya N. Golubev <gin@mo.msk.ru>

	* vc.el (vc-annotate): Display information for actual workfile
	version, not for main version trunk.

2003-01-18  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2003-01-15  Christian Schmitt  <Christian.Schmitt@dresdner-bank.com>

	* vc.el (vc-cvs-program): Added autoload cookie to vc-cvs-program
	defcustom.

2003-01-14  Christian Schmitt  <Christian.Schmitt@dresdner-bank.com>

	* vc-hooks.el (vc-fetch-master-properties): Make use of
	customizable variable vc-cvs-program.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2002-12-09  Ville Skyttä  <scop@xemacs.org>

	* vc.el: Documentation updates, convert comments to
	docstrings and grab some from GNU Emacs.

2002-12-09  Christian Schmitt  <Christian.Schmitt@dresdner-bank.com>

	* vc.el (vc-cvs-program): New, make the CVS executable
	customizable.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* vc-hooks.el: Fix header and comments regarding dumping.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-06-04  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2002-06-02  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2002-05-31  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2002-05-25  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.

2001-12-17  Sean Champ  <schamp@users.sourceforge.net>

	* vc.el (vc-version-diff): Modified the `interactive' spec of
	#'vc-version-diff so it will run the diff on the file in the
	current buffer, unless a prefix argument is given, in which case
	it'll do the old behavior of querying the user for the name of a
	file to run the	diff on. 

2001-12-03  Jonathan Marten  <jonathan.marten@uk.sun.com>

	* vc.el (vc-backend-admin): Set required file properties for
	SCCS and rename original copy of file to ',name' only if
	'vc-keep-workfiles' is t.

2001-07-14  I. Sheldon  <is@kaidea.freeserve.co.uk>

	* vc.el (vc-populate-vc-log-hook): New.
	(vc-log-template): New.
	(vc-start-entry): Use vc-populate-vc-log-hook.
	(vc-populate-vc-log-with-template): New.
	(vc-populate-vc-log-with-goto-first-eol): New.

2001-04-26  Albert L. Ting  <alt@artisan.com>

	* vc.el (vc-do-command): 
	(vc-revert-buffer):
	Fix a bug that could cause files to be moved to another
	directory.

2001-04-26  Albert L. Ting  <alt@artisan.com>

	* vc-hooks.el (vc-mode-face): New.
	(vc-mode-ext): New.
	(vc-mode-line): Use them.

2001-02-14  Steve Youngs  <youngs@xemacs.org>

	* vc.el: Require compile, sendmail & ediff-util.

	* Makefile (REQUIRES): Add vc, ediff, mail-lib.

2001-02-13  Adrian Aichner  <adrian@xemacs.org>

	* vc.el: Sync up with GNU Emacs 20.7 to make `cvs-mode-imerge'
	work again.
	* vc.el (vc-ensure-vc-buffer): New.
	* vc.el (vc-merge): New.
	* vc.el (vc-ediff-windows)): New.
	* vc.el (vc-ediff-result)): New.
	* vc.el (vc-resolve-conflicts): New.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-02-16  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* vc-hooks.el: Synch with FSF 20.5.

1999-09-05  Richard Stallman  <rms@gnu.org>

        * vc.el (vc-annotate-display): Treat 2-digit years under 70 as 20YY.

1999-06-07  Colin Rafferty  <colin@xemacs.org>

	* vc.el (vc-file-not-found-use-default): Created.
	(vc-backend-checkout): Use the above variable.

1999-02-25  SL Baur  <steve@xemacs.org>

	* vc.el: Undocumented patch from Barry Warsaw.

1998-10-16  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* vc-hooks.el ((featurep 'menubar)): Add special autoload
	only minimal menu.

1998-10-07  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* vc-hooks.el (vc-menu-filter): pass full path no
	  vc-locking-user.

1998-08-05  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* vc-hooks.el (vc-menu-filter): vc-locking-user is fast now and
	vc-file-owner something completely different than in VC from
	XEmacs 19.x, so use that.

1998-05-30  Kirill M. Katsnelson  <kkm@kis.ru>

	* vc.el: Marked my changes of 1998-05-28 with ';; XEmacs change'

1998-05-28  Kirill M. Katsnelson  <kkm@kis.ru>

	* vc.el (vc-do-command): Discard stderr of a vc process.
	(vc-backend-checkout): Use (with-temp-file) instead of shell magic
	to redirect external command stdout to a file.

1998-05-14  Michael Sperber [Mr. Preprocessor]  <sperber@informatik.uni-tuebingen.de>

	* vc.el (vc-version-diff): Fixed calls to `read-string'; bind
 	`minibuffer-default' instead.
	(vc-backend-merge-news): Provided for "P" message from server CVS.

1998-05-12  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* vc.el (vc-suppress-confirm): Customized [sync with FSF 20.2]
	(vc-initial-comment): ditto
	(vc-command-messages): ditto
	(vc-checkin-switches): ditto
	(vc-checkout-switches): ditto
	(vc-register-switches): ditto
	(vc-directory-exclusion-list): ditto
	(vc-default-init-version): Customized [XEmacs only]
	(vc-annotate-color-map): New variable [from FSF 20.2]
	(vc-annotate-very-old-color): ditto
	(vc-annotate-background): ditto
	(vc-annotate-menu-elements): ditto
	(vc-checkin-hook): Customized [sync with FSF 20.2]
	(vc-before-checkin-hook): ditto
	(vc-annotate-mode-hook): ditto
	(vc-header-alist): ditto
	(vc-static-header-alist): ditto
	(vc-comment-alist): ditto
	(vc-checkout-carefully): ditto
	(vc-rcs-release): ditto
	(vc-sccs-release): ditto
	(vc-cvs-release): ditto
	(vc-minor-part): New function [from FSF 20.2]. Used in vc-annotate.
	(vc-previous-version): idem ditto
	(vc-next-action-on-file): Policy change like in FSF 20.2. Don't do 
	locking when the file is unmodified.
	(vc-version-diff): When used interactively, supply sensible
	defaults for revisions [from FSF 20.2]. Currently disfunctional.
	(vc-clear-headers): Added comment explaining difference between
	FSF and our version. Kept ours for the moment.
	(vc-retrieve-snapshot): Updated doc string and prompt [Sync with FSF]
	(vc-retrieve-snapshot): Moved question about buffers out of the
	loop [Sync with 20.2]
	(vc-update-change-log): Comment explaining difference with FSF
	20.2. We do not have their 'rcs2log' version.
	(vc-annotate-mode): 
	(vc-annotate-mode-map): 
	(vc-annotate-mode-syntax-table): 
	(vc-annotate-ratio): 
	(vc-annotate-mode): 
	(vc-annotate-mode-variables): 
	(vc-annotate-display-default): 
	(vc-annotate): 
	(vc-annotate-car-last-cons): 
	(vc-annotate-time-span): 
	(vc-annotate-compcar): 
	(vc-annotate-display): New functionality do highlight 'cvs annote' 
	buffers [from FSF 20.2]. Works under XEmacs (FSF version contains
	XEmacs specifics!) for the highlighting. Menus not working making
	it more of a gimmick at the moment.
	(vc-backend-checkout): When the file was read only assume that
	this was CVS telling us we need to do 'cvs edit' (somebody used
	'cvs watch on'.) [sync with FSF 20.2]
	(vc-backend-checkin): Be conservative and forget checkout-model
	[sync with FSF 20.2]
	(vc-backend-merge-news): Changed error detecting logic [sync FSF
	20.2]. 
	(vc-log-mode): Advertise vc-annotate.

	* vc-hooks.el (vc-find-cvs-master): Changed logic detecting
	whether a file is under CVS control. Seperate out detecting of
	special time stamps, this makes it less prone to failures when the 
	CVS texts change sligtly. Logic and regexps mostly from FSF 20.2.
	Added another throw line after the textual date stamp case that
	the FSF versions misses.
	(vc-fetch-master-properties): Added new CVS text string [from FSF 20.2]
	(vc-find-cvs-master): Moved resetting of 'case-fold-search' to the 
	protect-form of unwind protect instead of trying to find every
	exit point [XEmacs only].
	vc-prefix-map: Added vc-annotate binding [FSF 20.2] 

1998-04-27  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el: Remove.  Load vc-hooks by hand to initialize.

1998-03-20  SL Baur  <steve@altair.xemacs.org>

	* vc.el:
	* vc-hooks.el: Mark as not officially maintained.

1998-03-20  William M. Perry  <wmperry@aventail.com>

	* vc.el: regexp changes.

1998-03-08  Kyle Jones  <kyle_jones@wonderworks.com>

	* vc.el (vc-resynch-buffer): Use with-current-buffer
	  instead of save-excursion to remember the current buffer.
	  save-excursion can restore an incorrect value of point if
	  the buffer reversion inside vc-resynch-window shifts markers
	  in the buffer.

1998-01-21  Kyle Jones  <kyle_jones@wonderworks.com>

	* vc.el: Add new variable vc-diff-switches to replace
	  diff-switches and remove the diff.el dependency from the
	  package.

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-25  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
